<?php

/*******************************************************************************
Copyright (c) 2013 Zsolt Debre
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met: 

1. Redistributions of source code must retain the above copyright notice, this
   list of conditions and the following disclaimer. 
2. Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation
   and/or other materials provided with the distribution. 

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*******************************************************************************/


//tesztelve: VirtueMart-1.1.2


//Csatlakozas adatbazishoz
require_once(dirname(__FILE__).'/../configuration.php');

$config = new JConfig;

if(!mysql_connect($config->host, $config->user, $config->password))
{
	show_error("DB open: " . mysql_error());
}
if(!mysql_select_db($config->db))
{
	show_error("DB select: " . mysql_error());
}

//if(!mysql_query('SET NAMES utf-8'))
if(!mysql_query('SET CHARACTER SET utf8'))
{
	show_error("Unable to set character set. ".mysql_error());
}


$last_orderhead_timestamp = $_GET['last_product_timestamp'];
$max_products = $_GET['max_products'] + 0;
if(!$max_products)
	$max_products = 30;

	
	
$table_name = $config->dbprefix . "vm_product";
$q = "select * from $table_name where mdate >= ".
	($last_orderhead_timestamp+0) ." order by mdate limit $max_products";

$res = mysql_query($q);
if(!$res)
	show_error("select order: [$q] " . mysql_error());

	
print '<'.'?xml version="1.0" encoding="UTF-8" standalone="yes" ?'.'>' . "\n";

print "<!DOCTYPE PRODUCTS>\n";
print "<PRODUCTS>\n";

while($product_ary = mysql_fetch_assoc($res))
{
	show_product($product_ary);
}

?>
</PRODUCTS>
<?php



function show_product($product)
{
	global $config;



	//Itt próbálom összekapcsolni az árakhoz a táblákat 
	$table_name = $config->dbprefix . "vm_product_price";
	$q = "select * from $table_name where product_id = $product[product_id] limit 1";
	$price = db_get_record($q);
	$timestamp = sprintf("%011d", $product['mdate']);

	
	?>			
			<PRODUCT>
				<PRODUCT_CODE><?php echo $product['product_id']?></PRODUCT_CODE>
				<PRODUCT_TIMESTAMP><?php echo $timestamp?></PRODUCT_TIMESTAMP>				
				<PRODUCT_NAME><?php echo $product['product_name']?></PRODUCT_NAME>				
				<PRODUCT_PART_NO><?php echo $product['product_sku']?></PRODUCT_PART_NO>				
				<PRODUCT_STAT_NO></PRODUCT_STAT_NO>				
				<PRODUCT_UNIT><?php echo $product['product_unit']?></PRODUCT_UNIT>				
				<PRODUCT_VAT_CODE><?php echo $product['product_tax_id']?></PRODUCT_VAT_CODE>				
				<PRODUCT_PRICE><?php echo $price['product_price']?></PRODUCT_PRICE>				
			</PRODUCT>
	<?php
}


function he($s)
{
	//return htmlentities($s);
	return $s;
}

function show_error($error_str)
{
	echo($error_str);
	die();
}

function db_get_record($q)
{
	$res = mysql_query($q);
	if(!$res)
		show_error("db_get_record(): [$q] " . mysql_error());
	return mysql_fetch_assoc($res);
}

function db_get_field($q)
{
	$res = mysql_query($q);
	if(!$res)
		show_error("db_get_field(): [$q] " . mysql_error());
	$row = mysql_fetch_row($res);
	if($row == FALSE) return FALSE;
	return $row[0];
}

function db_get_records($q)
{
	$res = mysql_query($q);
	if(!$res)
		show_error("db_get_records [$q] " . mysql_error());
	$ret_ary = array();
	while($ary = mysql_fetch_assoc($res))
	{
		$ret_ary[] = $ary;
	}
	if(count($ret_ary))
		return $ret_ary;
	return FALSE;
}

function db_get_map($q)
{
	$res = mysql_query($q);
	if(!$res)
		show_error("db_get_map [$q] " . mysql_error());
	$ret_ary = array();
	while($ary = mysql_fetch_row($res))
	{
		$ret_ary[$ary[0]] = $ary[1];
	}
	if(count($ret_ary))
		return $ret_ary;
	return FALSE;
}

function ary_to_utf8($ary)
{
	$res = array();
	foreach($ary as $k => $v)
	{
		if(!is_array($v))
		{
			$res[$k] = mb_convert_encoding($v, 'UTF-8', 'ISO-8859-2');
		}
		else
		{
			$res[$k] = $v;
		}
	}
	return $res;
}

?>
