<?php
/*******************************************************************************
Copyright (c) 2013 Zsolt Debre, Attila Alapi.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met: 

1. Redistributions of source code must retain the above copyright notice, this
   list of conditions and the following disclaimer. 
2. Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation
   and/or other materials provided with the distribution. 

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*******************************************************************************/


//tesztelve: VirtueMart-1.1.4

//szallitasi koltseg adojat nem lehet normalisan visszakeresni rendelesfejbol
$shipping_tax = 27; //szallitasi ktg. AFA (szazalek)
$coupon_tax = 27;


//Csatlakozas adatbazishoz
require_once(dirname(__FILE__).'/../configuration.php');

$config = new JConfig;

if(!mysql_connect($config->host, $config->user, $config->password))
{
	show_error("DB open: " . mysql_error());
}
if(!mysql_select_db($config->db))
{
	show_error("DB select: " . mysql_error());
}

//if(!mysql_query('SET NAMES utf-8'))
if(!mysql_query('SET CHARACTER SET utf8'))
{
	show_error("Unable to set character set. ".mysql_error());
}


$last_orderhead_timestamp = $_GET['last_orderhead_timestamp'];
$max_orders = $_GET['max_orders'] + 0;
if(!$max_orders)
	$max_orders = 30;

//fizetesi modok egy tombbe (map)
$table_name = $config->dbprefix . "vm_payment_method";
$q = "select payment_method_id, payment_method_name from $table_name ";
$payment_method_map = db_get_map($q);

//AFA kulcsok egy tombbe (map)
$table_name = $config->dbprefix . "vm_tax_rate";
$q = "select tax_rate_id, tax_rate from $table_name ";
$tax_rate_map = db_get_map($q);


	
$table_name = $config->dbprefix . "vm_orders";
$q = "select * from $table_name where order_id >= ".
	($last_orderhead_timestamp+0) ." order by order_id limit $max_orders";

$res = mysql_query($q);
if(!$res)
	show_error("select order: [$q] " . mysql_error());

	
print '<'.'?xml version="2.0" encoding="UTF-8" standalone="yes" ?'.'>' . "\n";

print "<!DOCTYPE ORDERS>\n";
print "<ORDERS>\n";

while($order_ary = mysql_fetch_assoc($res))
{
	show_order($order_ary);
}

?>
</ORDERS>
<?php



function show_order($order)
{
	global $config;
	global $payment_method_map;
	global $coupon_tax;

	$table_name = $config->dbprefix . "vm_user_info";
	$q = "select * from $table_name where user_id = $order[user_id] and address_type='BT'";
	$user = db_get_record($q);
	
//szállítási címek    
	$table_name = $config->dbprefix . "vm_user_info";
	$q = "select * from $table_name where user_id = $order[user_id] and address_type='ST'";
	$user_shipping = db_get_record($q);


	$table_name = $config->dbprefix . "vm_order_item";
	$q = "select * from $table_name where order_id = $order[order_id]";
	$items = db_get_records($q);

	$today_str = date('Y-m-d');
	$shipped_date_str = $today_str; //TODO: adatbazisbol

	//adoszam:
	$tax_no_text = '';
	if(strlen($user['extra_field_1'])){
		$tax_no_text = 'Adószám: '.$order['extra_field_1'];
	}

	//fizetesi mod
	$table_name = $config->dbprefix . "vm_order_payment";
	$q = "select payment_method_id from $table_name where order_id = ".$order['order_id'];
	$payment_method_id = db_get_field($q);
	$payment_method_name = $payment_method_map[$payment_method_id];
	?>

		<ORDER>
			<ORDERHEAD_CODE><?php echo $order['order_id']?></ORDERHEAD_CODE>
			<ORDERHEAD_TIMESTAMP><?php echo sprintf("%010d", $order['order_id'])?></ORDERHEAD_TIMESTAMP>

			<ORDERHEAD_PARTNER_CODE><?php echo $order['user_id']?></ORDERHEAD_PARTNER_CODE>
			<ORDERHEAD_PARTNER_NAME><?php echo he(strlen($user['company']) ? $user['company'] : $user['last_name'].' '.$user['first_name'])?></ORDERHEAD_PARTNER_NAME>
			<ORDERHEAD_PARTNER_ZIP><?php echo he($user['zip'])?></ORDERHEAD_PARTNER_ZIP>
			<ORDERHEAD_PARTNER_CITY><?php echo he($user['city'])?></ORDERHEAD_PARTNER_CITY>
			<ORDERHEAD_PARTNER_ADDRESS><?php echo he($user['address_1'].' '.$user['address_2'])?></ORDERHEAD_PARTNER_ADDRESS>
			<ORDERHEAD_PARTNER_OTHER_DATA><?php echo he($tax_no_text)?></ORDERHEAD_PARTNER_OTHER_DATA>

			<ORDERHEAD_PARTNER_MAIL_IS_SAME><?php echo he(strlen($user_shipping['address_type']) ? 0 : 1); ?></ORDERHEAD_PARTNER_MAIL_IS_SAME>
			<ORDERHEAD_PARTNER_MAIL_NAME><?php echo he(strlen($user_shipping['company']) ? $user_shipping['company'] : $user_shipping['last_name'].' '.$user_shipping['first_name']); ?></ORDERHEAD_PARTNER_MAIL_NAME>
			<ORDERHEAD_PARTNER_MAIL_ZIP><?php echo he($user_shipping['zip']); ?></ORDERHEAD_PARTNER_MAIL_ZIP>
			<ORDERHEAD_PARTNER_MAIL_CITY><?php echo he($user_shipping['city']); ?></ORDERHEAD_PARTNER_MAIL_CITY>
			<ORDERHEAD_PARTNER_MAIL_ADDRESS><?php echo he($user_shipping['address_1'].' '.$user_shipping['address_2']); ?></ORDERHEAD_PARTNER_MAIL_ADDRESS>
			
			
			<ORDERHEAD_PAYMENTMETHOD_CODE><?php echo $payment_method_id?></ORDERHEAD_PAYMENTMETHOD_CODE>
			<ORDERHEAD_PAYMENTMETHOD_NAME><?php echo he($payment_method_name)?></ORDERHEAD_PAYMENTMETHOD_NAME>

			<ORDERHEAD_DATE_SHIPPED><?php echo $shipped_date_str?></ORDERHEAD_DATE_SHIPPED>
			<ORDERHEAD_DATE_PAYMENT_DUE><?php echo $today_str?></ORDERHEAD_DATE_PAYMENT_DUE>

			<ORDERHEAD_SUBJECT>
				Internetes vásárlás - megrendelés azonosítója: <?php echo $order['order_id']?>
			</ORDERHEAD_SUBJECT>

			<ORDERHEAD_VERIFIED>1</ORDERHEAD_VERIFIED>
			<?php
				//szallitasi ktg egy plusz tetel legyen orders_total-bol
				if($order['order_shipping']){
					$item = array(
						'order_item_id' => $order['order_id'].'_sztg',
						'product_id' => 'sztg',
						'order_item_name' => get_shipping_name($order['ship_method_id']),
						'product_item_price' => $order['order_shipping'],
						'product_quantity' => 1,
					);
					$items[] = $item;
				}
				//engedmény egy plusz tetel legyen orders_total-bol
				if($order['coupon_discount']>0.0){
					$gross = $order['coupon_discount'];
					$net = $gross * 100 / (100 + $coupon_tax);
					$net = round($net);
					$item = array(
						'order_item_id' => $order['order_id'].'_engedmeny',
						'product_id' => 'engedmeny',
						'order_item_name' => 'Engedmény',
						'product_item_price' => $net,
						'product_quantity' => -1,
					);
					$items[] = $item;
				}
				
				show_orderitems($items);
				
			?>

		</ORDER>
	<?php
}

function show_orderitems($items)
{
	global $tax_rate_map;
	global $config;
	global $shipping_tax;
	global $coupon_tax;

	if(!$items)
		return;
	foreach($items as $item)
	{
		//$item = ary_to_utf8($item);
		//termek betoltese
		if('sztg' !== $item['product_id'] && 'engedmeny' !== $item['product_id']){
			$table_name = $config->dbprefix . "vm_product";
			$q = "select * from $table_name where product_id = $item[product_id]";
			$product = db_get_record($q);
		}


		
		$comment_str = '';

		//statisztikai szamjel (VTSZ/SZJ)
		$statno = '';
		if('sztg' === $item['product_id']){
			$statno = ''; //Ha akarunk SZJ-t szallitasi ktg-hez
			$unit = '';
			$vat_code = -1; //TODO adatbazisbol, de ehhez virtuemart is modositando
			$vat_percent = $shipping_tax; //TODO
		}elseif('engedmeny' === $item['product_id']){
			$statno = ''; //Ha akarunk SZJ-t szallitasi ktg-hez
			$unit = '';
			$vat_code = -1; //TODO adatbazisbol, de ehhez virtuemart is modositando
			$vat_percent = $coupon_tax; //TODO
		}else{
			//megjegyzesbe product_attribute mezo <br/>-ek helyett ", "-zel elvalasztva
			$comment_str = preg_replace('/<br\/>/', ', ', $item['product_attribute']);
			$unit = $product['product_unit'];
			$vat_code = $product['product_tax_id'];
			$vat_percent = $tax_rate_map[$product['product_tax_id']] * 100;
		}
		
		//handling beletartozik a teljes szallitasi koltsegbe
		
		?>

			<ORDERITEM>
				<ORDERITEM_CODE><?php echo $item['order_item_id']?></ORDERITEM_CODE>

				<ORDERITEM_PRODUCT_CODE><?php echo $item['product_id']?></ORDERITEM_PRODUCT_CODE>
				<ORDERITEM_STAT_NO><?php echo  $statno ?></ORDERITEM_STAT_NO>
				<ORDERITEM_NAME><?php echo he($item['order_item_name'])?></ORDERITEM_NAME>
				<ORDERITEM_COMMENT><?php echo he($comment_str)?></ORDERITEM_COMMENT>
				<ORDERITEM_UNIT><?php echo he($unit)?></ORDERITEM_UNIT>
				<ORDERITEM_VAT_CODE><?php echo $vat_code?></ORDERITEM_VAT_CODE>
				<ORDERITEM_VAT_PERCENT><?php echo $vat_percent?></ORDERITEM_VAT_PERCENT>
				<ORDERITEM_VAT_NAME><?php echo ($vat_percent+0).'%'?></ORDERITEM_VAT_NAME>

				<ORDERITEM_PRICE><?php echo $item['product_item_price']?></ORDERITEM_PRICE>
				<ORDERITEM_QTY><?php echo $item['product_quantity']?></ORDERITEM_QTY>
			</ORDERITEM>
		<?php
	}
}

function get_shipping_name($s)
{
	$ary = preg_split('/\|/', $s);
	return 'Szállítási költség - ' . $ary[1] . ' (' . $ary[2] . ')';
}

function he($s)
{
	//return htmlentities($s);
	return $s;
}

function show_error($error_str)
{
	echo($error_str);
	die();
}

function db_get_record($q)
{
	$res = mysql_query($q);
	if(!$res)
		show_error("db_get_record(): [$q] " . mysql_error());
	return mysql_fetch_assoc($res);
}

function db_get_field($q)
{
	$res = mysql_query($q);
	if(!$res)
		show_error("db_get_field(): [$q] " . mysql_error());
	$row = mysql_fetch_row($res);
	if($row == FALSE) return FALSE;
	return $row[0];
}

function db_get_records($q)
{
	$res = mysql_query($q);
	if(!$res)
		show_error("db_get_records [$q] " . mysql_error());
	$ret_ary = array();
	while($ary = mysql_fetch_assoc($res))
	{
		$ret_ary[] = $ary;
	}
	if(count($ret_ary))
		return $ret_ary;
	return FALSE;
}

function db_get_map($q)
{
	$res = mysql_query($q);
	if(!$res)
		show_error("db_get_map [$q] " . mysql_error());
	$ret_ary = array();
	while($ary = mysql_fetch_row($res))
	{
		$ret_ary[$ary[0]] = $ary[1];
	}
	if(count($ret_ary))
		return $ret_ary;
	return FALSE;
}

function ary_to_utf8($ary)
{
	$res = array();
	foreach($ary as $k => $v)
	{
		if(!is_array($v))
		{
			$res[$k] = mb_convert_encoding($v, 'UTF-8', 'ISO-8859-2');
		}
		else
		{
			$res[$k] = $v;
		}
	}
	return $res;
}

?>
